Index: /trunk/lib/FormValidator.inc.php
===================================================================
--- /trunk/lib/FormValidator.inc.php	(revision 467)
+++ /trunk/lib/FormValidator.inc.php	(revision 468)
@@ -58,8 +58,8 @@
 require_once 'codebase/lib/Validator.inc.php';
 
-class FormValidator extends Validator {
+class FormValidator {
 
     // Class parameters.
-    var $_params = array(
+    private $_params = array(
         'error' => ' sc-msg-error ',
         'warning' => ' sc-msg-warning ',
@@ -69,5 +69,5 @@
 
     // Array filling with error messages.
-    var $errors = array();
+    public $errors = array();
 
     /**
@@ -77,5 +77,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -96,5 +96,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -115,5 +115,5 @@
      *                  vals: the message to display for that error
      */
-    function getErrorList()
+    public function getErrorList()
     {
         return $this->errors;
@@ -130,5 +130,5 @@
      * @param   string $line        __LINE__.
      */
-    function addError($form_name, $msg='', $type=MSG_ERR, $file=null, $line=null)
+    public function addError($form_name, $msg='', $type=MSG_ERR, $file=null, $line=null)
     {
         $this->errors[] = array(
@@ -149,5 +149,5 @@
      *                a variable of $form_name, false otherwise
      */
-    function anyErrors($form_name=null)
+    public function anyErrors($form_name=null)
     {
         if (isset($form_name)) {
@@ -166,5 +166,5 @@
      * Reset the error list.
      */
-    function resetErrorList()
+    public function resetErrorList()
     {
         $this->errors = array();
@@ -182,5 +182,5 @@
      * @since   15 Jul 2005 01:39:14
      */
-    function printErrorMessages($above='', $below='', $print_gotohash_js=false, $hash='sc-msg-formvalidator')
+    public function printErrorMessages($above='', $below='', $print_gotohash_js=false, $hash='sc-msg-formvalidator')
     {
         $app =& App::getInstance();
@@ -238,5 +238,5 @@
      *                           not provided, use default.
      */
-    function err($form_name, $marker=null)
+    public function err($form_name, $marker=null)
     {
         if (false !== ($type = $this->anyErrors($form_name))) {
@@ -274,7 +274,7 @@
      * @return bool   true if form is not empty, false otherwise.
      */
-    function notEmpty($form_name, $msg='')
-    {
-        if (parent::notEmpty(getFormData($form_name))) {
+    public function notEmpty($form_name, $msg='')
+    {
+        if (Validator::notEmpty(getFormData($form_name))) {
             return true;
         } else {
@@ -290,5 +290,5 @@
     * @since    03 Jun 2006 22:56:46
     */
-    function isEmpty($form_name, $msg='')
+    public function isEmpty($form_name, $msg='')
     {
         $this->notEmpty($form_name, $msg);
@@ -303,7 +303,7 @@
      * @return bool   true if form is a string, false otherwise.
      */
-    function isString($form_name, $msg='')
-    {
-        if (parent::isString(getFormData($form_name))) {
+    public function isString($form_name, $msg='')
+    {
+        if (Validator::isString(getFormData($form_name))) {
             return true;
         } else {
@@ -321,7 +321,7 @@
      * @return bool   true if no errors found, false otherwise
      */
-    function isNumber($form_name, $msg='')
-    {
-        if (parent::isNumber(getFormData($form_name))) {
+    public function isNumber($form_name, $msg='')
+    {
+        if (Validator::isNumber(getFormData($form_name))) {
             return true;
         } else {
@@ -340,7 +340,7 @@
      * @return bool   true if value is an integer
      */
-    function isInteger($form_name, $msg='', $negative_ok=false)
-    {
-        if (parent::isInteger(getFormData($form_name), $negative_ok)) {
+    public function isInteger($form_name, $msg='', $negative_ok=false)
+    {
+        if (Validator::isInteger(getFormData($form_name), $negative_ok)) {
             return true;
         } else {
@@ -360,7 +360,7 @@
      * @return bool   true if value is a float
      */
-    function isFloat($form_name, $msg='', $negative_ok=false)
-    {
-        if (parent::isFloat(getFormData($form_name), $negative_ok)) {
+    public function isFloat($form_name, $msg='', $negative_ok=false)
+    {
+        if (Validator::isFloat(getFormData($form_name), $negative_ok)) {
             return true;
         } else {
@@ -378,7 +378,7 @@
      * @return bool   true if value is a float
      */
-    function isArray($form_name, $msg='')
-    {
-        if (parent::isArray(getFormData($form_name))) {
+    public function isArray($form_name, $msg='')
+    {
+        if (Validator::isArray(getFormData($form_name))) {
             return true;
         } else {
@@ -399,7 +399,7 @@
      * @return bool   true if value passes regex test
      */
-    function checkRegex($form_name, $regex, $valid_on_match, $msg='')
-    {
-        if (parent::checkRegex(getFormData($form_name), $regex, $valid_on_match)) {
+    public function checkRegex($form_name, $regex, $valid_on_match=true, $msg='')
+    {
+        if (Validator::checkRegex(getFormData($form_name), $regex, $valid_on_match)) {
             return true;
         } else {
@@ -419,7 +419,7 @@
      * @return bool   true if string length is within given boundaries
      */
-    function stringLength($form_name, $min, $max, $msg='')
-    {
-        if (parent::stringLength(getFormData($form_name), $min, $max)) {
+    public function stringLength($form_name, $min, $max, $msg='')
+    {
+        if (Validator::stringLength(getFormData($form_name), $min, $max)) {
             return true;
         } else {
@@ -439,7 +439,7 @@
      * @return bool   true if no errors found, false otherwise
      */
-    function numericRange($form_name, $min, $max, $msg='')
-    {
-        if (parent::numericRange(getFormData($form_name), $min, $max)) {
+    public function numericRange($form_name, $min, $max, $msg='')
+    {
+        if (Validator::numericRange(getFormData($form_name), $min, $max)) {
             return true;
         } else {
@@ -463,5 +463,5 @@
      * @author  Quinn Comendant <quinn@strangecode.com>
      */
-    function validateEmail($form_name)
+    public function validateEmail($form_name, $strict=false)
     {
 		$app =& App::getInstance();
@@ -474,31 +474,27 @@
         }
 
-        // Validator::validateEmail() returns a value that relates to the VALIDATE_EMAIL_* constants (defined in Validator.inc.php).
-        switch (parent::validateEmail($email)) {
-        case VALIDATE_EMAIL_REGEX_FAIL:
+        // Validator::validateEmail() returns a value that relates to the Validate::EMAIL_* constants (defined in Validator.inc.php).
+        switch (Validator::validateEmail($email, $strict)) {
+        case Validator::EMAIL_REGEX_FAIL:
             // Failed regex match.
             $this->addError($form_name, sprintf(_("The email address <em>%s</em> is formatted incorrectly."), oTxt($email)));
             $app->logMsg(sprintf('The email address %s is not valid.', oTxt($email)), LOG_DEBUG, __FILE__, __LINE__);
             return false;
-            break;
-
-        case VALIDATE_EMAIL_LENGTH_FAIL :
+
+        case Validator::EMAIL_LENGTH_FAIL :
             // Failed length requirements.
             $this->addError($form_name, sprintf(_("The email address <em>%s</em> is too long (email addresses must have fewer than 256 characters)."), oTxt($email)));
             $app->logMsg(sprintf('The email address %s must contain less than 256 characters.', oTxt($email)), LOG_DEBUG, __FILE__, __LINE__);
             return false;
-            break;
-
-        case VALIDATE_EMAIL_MX_FAIL :
+
+        case Validator::EMAIL_MX_FAIL :
             // Failed MX record test.
             $this->addError($form_name, sprintf(_("The email address <em>%s</em> does not have a valid domain name"), oTxt($email)));
             $app->logMsg(sprintf('The email address %s does not have a valid domain name.', oTxt($email)), LOG_INFO, __FILE__, __LINE__);
             return false;
-            break;
-
-        case VALIDATE_EMAIL_SUCCESS :
+
+        case Validator::EMAIL_SUCCESS :
         default :
             return true;
-            break;
         }
     }
@@ -513,12 +509,28 @@
      * @return bool    true if no errors found, false otherwise
      */
-    function validatePhone($form_name)
-    {
+    public function validatePhone($form_name)
+    {
+        $app =& App::getInstance();
+
         $phone = getFormData($form_name);
 
-        return (
-            $this->checkRegex($form_name, '/^[0-9 +().-]*$/', true, sprintf(_("The phone number <em>%s</em> is not valid."), $phone))
-            && $this->stringLength($form_name, 0, 25, sprintf(_("The phone number <em>%s</em> is too long"), $phone))
-        );
+        // Validator::validateEmail() returns a value that relates to the Validate::PHONE_* constants (defined in Validator.inc.php).
+        switch (Validator::validatePhone($phone)) {
+        case Validator::PHONE_REGEX_FAIL:
+            // Failed regex match.
+            $this->addError($form_name, sprintf(_("The phone number <em>%s</em> is not valid."), oTxt($phone)));
+            $app->logMsg(sprintf('The phone number %s is not valid.', oTxt($phone)), LOG_DEBUG, __FILE__, __LINE__);
+            return false;
+
+        case Validator::PHONE_LENGTH_FAIL :
+            // Failed length requirements.
+            $this->addError($form_name, sprintf(_("The phone number <em>%s</em> is too long (phone number must have fewer than 25 characters)."), oTxt($phone)));
+            $app->logMsg(sprintf('The phone number %s must contain less than 256 characters.', oTxt($phone)), LOG_DEBUG, __FILE__, __LINE__);
+            return false;
+
+        case Validator::PHONE_SUCCESS :
+        default :
+            return true;
+        }
     }
 
@@ -531,9 +543,9 @@
      * @return bool    true if no errors found, false otherwise
      */
-    function validateStrDate($form_name, $msg='')
+    public function validateStrDate($form_name, $msg='')
     {
         $app =& App::getInstance();
 
-        if (parent::validateStrDate(getFormData($form_name, ''))) {
+        if (Validator::validateStrDate(getFormData($form_name, ''))) {
             return true;
         } else {
@@ -550,13 +562,13 @@
      *
      * @param  string  $form_name   The name of the incoming form variable.
-     * @param  string  $cc_type     Optional, card type to do specific checks. One of the CC_TYPE_* constants.
+     * @param  string  $cc_type     Optional, card type to do specific checks. One of the Validator::CC_TYPE_* constants.
      *
      * @return bool    true if no errors found, false otherwise
      */
-    function validateCCNumber($form_name, $cc_type=null)
+    public function validateCCNumber($form_name, $cc_type=null)
     {
         $cc_num = getFormData($form_name);
 
-        if (parent::validateCCNumber($cc_num, $cc_type)) {
+        if (Validator::validateCCNumber($cc_num, $cc_type)) {
             return true;
         } else {
@@ -574,7 +586,7 @@
      * @return bool   true if no errors found, false otherwise
      */
-    function fileUploaded($form_name, $msg='')
-    {
-        if (parent::fileUploaded($form_name)) {
+    public function fileUploaded($form_name, $msg='')
+    {
+        if (Validator::fileUploaded($form_name)) {
             return true;
         } else {
@@ -586,3 +598,2 @@
 } // THE END
 
-?>
Index: /trunk/lib/Google_API.inc.php
===================================================================
--- /trunk/lib/Google_API.inc.php	(revision 467)
+++ /trunk/lib/Google_API.inc.php	(revision 468)
@@ -53,5 +53,5 @@
      * @access private
      */
-    var $_licenseKey = '';
+    private $_licenseKey = '';
 
     /**
@@ -59,5 +59,5 @@
      * @access private
      */
-    var $_soapClient = NULL;
+    private $_soapClient = NULL;
 
     /**
@@ -67,5 +67,5 @@
      * @access public
      */
-    function Google_API($licenseKey)
+    public function __construct($licenseKey)
     {
         $this->_licenseKey = $licenseKey;
@@ -82,5 +82,5 @@
      * @access public
      */
-    function getCachedPage($url)
+    public function getCachedPage($url)
     {
         $result = $this->_performAPICall(
@@ -104,5 +104,5 @@
      * @access public
      */
-    function getSpellingSuggestion($phrase)
+    public function getSpellingSuggestion($phrase)
     {
         return $this->_performAPICall(
@@ -122,5 +122,5 @@
      * @access public
      */
-    function search($parameters = array())
+    public function search($parameters = array())
     {
         if (!isset($parameters['query'])) {
@@ -150,5 +150,5 @@
      * @access private
      */
-    function _performAPICall($apiCall, $parameters)
+    private function _performAPICall($apiCall, $parameters)
     {
         $app =& App::getInstance();
@@ -167,5 +167,2 @@
     }
 }
-?>
-
-
Index: /trunk/lib/Hierarchy.inc.php
===================================================================
--- /trunk/lib/Hierarchy.inc.php	(revision 467)
+++ /trunk/lib/Hierarchy.inc.php	(revision 468)
@@ -52,5 +52,5 @@
      *
      */
-    var $params = array();
+    public $params = array();
 
 
@@ -59,5 +59,5 @@
      * @var string $child_type
      */
-    var $child_type;
+    public $child_type;
 
     /**
@@ -65,5 +65,5 @@
      * @var string $child_id
      */
-    var $child_id;
+    public $child_id;
 
     /**
@@ -72,5 +72,5 @@
      * @var bool $node_init
      */
-    var $node_init = false;
+    public $node_init = false;
 
     /**
@@ -80,5 +80,5 @@
      *                          configuration or connection parameters.
      */
-    function Hierarchy($params=array())
+    public function __construct($params=array())
     {
         $this->params = $params;
@@ -92,5 +92,5 @@
      *                      if no new ones are specified.
      */
-    function currentNode($child_type=null, $child_id=null)
+    public function currentNode($child_type=null, $child_id=null)
     {
         $old_type = isset($this->child_type) ? $this->child_type : $child_type;
@@ -113,5 +113,5 @@
      *                  otherwise if an array is provided, an array of identifiers is returned.
      */
-    function toStringID($child_type=null, $child_id=null)
+    public function toStringID($child_type=null, $child_id=null)
     {
 			$app =& App::getInstance();
@@ -147,5 +147,5 @@
      * @return mixed    Array of node type and id on success, false on failure.
      */
-    function toArrayID(&$node)
+    public function toArrayID(&$node)
     {
 			$app =& App::getInstance();
@@ -167,5 +167,5 @@
      * @return bool     true on success, false on error.
      */
-    function insertNode($parents, $child_type=null, $child_id=null, $relationship_type=null, $title='')
+    public function insertNode($parents, $child_type=null, $child_id=null, $relationship_type=null, $title='')
     {
 		$app =& App::getInstance();
@@ -246,5 +246,5 @@
      * @return bool      false on error, true otherwise.
      */
-    function deleteNode($child_type=null, $child_id=null)
+    public function deleteNode($child_type=null, $child_id=null)
     {
 		$app =& App::getInstance();
@@ -296,5 +296,5 @@
      * @return bool      false on error, true otherwise.
      */
-    function moveNode($new_parents=null, $child_type=null, $child_id=null, $relationship_type=null, $title='')
+    public function moveNode($new_parents=null, $child_type=null, $child_id=null, $relationship_type=null, $title='')
     {
 			$app =& App::getInstance();
@@ -373,5 +373,5 @@
      * @return string   The parents as an array of serialized node identifiers.
      */
-    function getParents($child_type=null, $child_id=null, $type_constraint=null, $order='')
+    public function getParents($child_type=null, $child_id=null, $type_constraint=null, $order='')
     {
 		$app =& App::getInstance();
@@ -424,5 +424,5 @@
      * @return array   type, id, title, subnode_quantity.
      */
-    function getNode($child_type=null, $child_id=null)
+    public function getNode($child_type=null, $child_id=null)
     {
 		$app =& App::getInstance();
@@ -468,5 +468,5 @@
      * @return string  The children as an array of serialized node identifiers.
      */
-    function getChildren($child_type=null, $child_id=null, $type_constraint=null, $order='')
+    public function getChildren($child_type=null, $child_id=null, $type_constraint=null, $order='')
     {
 		$app =& App::getInstance();
@@ -520,5 +520,5 @@
      * @return integer
      */
-    function getNumberChildren($child_type=null, $child_id=null, $type_constraint=null)
+    public function getNumberChildren($child_type=null, $child_id=null, $type_constraint=null)
     {
 		$app =& App::getInstance();
@@ -561,5 +561,5 @@
      * @return bool      true if a leaf, or false if not or an error
      */
-    function isLeaf($child_type=null, $child_id=null)
+    public function isLeaf($child_type=null, $child_id=null)
     {
 		$app =& App::getInstance();
@@ -595,5 +595,5 @@
      *                   parent, or false otherwise, or in case of failure.
      */
-    function isAncestor($child_type, $child_id, $considered_parent_type, $considered_parent_id)
+    public function isAncestor($child_type, $child_id, $considered_parent_type, $considered_parent_id)
     {
         $family_tree = $this->getAllAncestors($considered_parent_type, $considered_parent_id);
@@ -622,5 +622,5 @@
      * @return array     Array of serialized node identifiers.
      */
-    function getAllAncestors($child_type, $child_id, $go_linear=false, $_return_flag=true)
+    public function getAllAncestors($child_type, $child_id, $go_linear=false, $_return_flag=true)
     {
 		$db =& DB::getInstance();
@@ -676,5 +676,5 @@
      * @return bool      true if a leaf, or false if not or an error
      */
-    function nodeExists($child_type=null, $child_id=null, $parent_type=null, $parent_id=null, $relationship_type=null)
+    public function nodeExists($child_type=null, $child_id=null, $parent_type=null, $parent_id=null, $relationship_type=null)
     {
 		$app =& App::getInstance();
@@ -728,5 +728,5 @@
      *                specified node: (type, id, title, indent level, selected status)
      */
-    function &getNodeList($preselected=null, $child_type=null, $child_id=null, $type_constraint=null, $include_curr=false, $order='', $_indent=0, $_return_flag=true)
+    public function &getNodeList($preselected=null, $child_type=null, $child_id=null, $type_constraint=null, $include_curr=false, $order='', $_indent=0, $_return_flag=true)
     {
 		$app =& App::getInstance();
@@ -801,5 +801,5 @@
      * @param  string  $type_constraint  An array of node types to restrict the search to.
      */
-    function rebuildSubnodeQty($type_constraint=null)
+    public function rebuildSubnodeQty($type_constraint=null)
     {
 		$db =& DB::getInstance();
@@ -825,5 +825,5 @@
      * all parents recursively.
      */
-    function setSubnodeQtyToParents($child_type, $child_id, $num_children)
+    public function setSubnodeQtyToParents($child_type, $child_id, $num_children)
     {
 		$db =& DB::getInstance();
@@ -848,7 +848,2 @@
 // THE END
 }
-
-
-
-
-?>
Index: /trunk/lib/Image.inc.php
===================================================================
--- /trunk/lib/Image.inc.php	(revision 467)
+++ /trunk/lib/Image.inc.php	(revision 468)
@@ -31,5 +31,5 @@
 
     // Object parameters.
-    var $_params = array();
+    private $_params = array();
 
     /**
@@ -41,5 +41,5 @@
      * @since   26 Jan 2005 01:54:50
      */
-    function Image($params=array())
+    public function __construct($params=array())
     {
         if (!is_array($params)) {
@@ -72,5 +72,5 @@
      * @since   26 Jan 2005 01:54:50
       */
-    function exists($id)
+    public function exists($id)
     {
         $src = $this->oSrc($id);
@@ -96,5 +96,5 @@
      * @since   26 Jan 2005 01:54:50
      */
-    function size($id, $key)
+    public function size($id, $key)
     {
         $src = $this->oSrc($id);
@@ -114,5 +114,5 @@
      * @since   26 Jan 2005 01:56:35
      */
-    function oSrc($id)
+    public function oSrc($id)
     {
         $file_name = '';
@@ -139,5 +139,5 @@
      * @since   26 Jan 2005 01:57:33
      */
-    function oImg($id, $alt='', $extra='')
+    public function oImg($id, $alt='', $extra='')
     {
         $src = $this->oSrc($id);
@@ -158,4 +158,2 @@
     }
 } // End class
-
-?>
